Unable to install NPM package

Congratulation on building such a critical piece of the React Native stack. The ability to share example so easily is truly a game changer. The “it just works” design and philosophy of snack is super impressive!

Every week, I import a snack project from a github repository for my youtube channel. So far the installation of external packages such as react-native-redash as been automatic. This week I am not able to install this package.
This is the snack: https://snack.expo.io/@wcandillon/eb6f50
This is the error I’m getting: https://www.dropbox.com/s/o1k5nzyy2pv6hxq/Screenshot%202019-07-02%2005.16.28.png?dl=0
And this is the repo I’m trying to import: https://github.com/wcandillon/can-it-be-done-in-react-native/tree/master/season2/safari-tabs

Is this a temporary issue or is there something I can do on my side to fix this?

Sorry for the trouble. I’ll debug what’s happening.

Woah if the best people are looking into it then I have no more worries :wink:

@satya164 could it be related to this issue: https://github.com/wcandillon/react-native-redash/pull/69? Meaning that the “react-native” field in this package points to a typescript file. Could that be an issue? But it used to work just fine on snack.

Yeah that’s the reason it fails. But it should technically work. I’m not sure why it’s failing, but I’m looking into it.

This is the exact line where it fails: https://github.com/wcandillon/react-native-redash/blob/0b44076f07c8f6bdcfcfcc5c2b7c98496000f418/src/String.tsx#L6

If I remove the readonly modifier, it works. Seems it’s due to old version of @babel/core which I’m updating. So it should work without any changes as soon as this is deployed.

You are incredible, thank you!

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.